package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbNews;

/**
 * 新闻与活动Service接口
 * 
 * @author ruoyi
 * @date 2022-10-25
 */
public interface ITbNewsService 
{
    /**
     * 查询新闻与活动
     * 
     * @param id 新闻与活动主键
     * @return 新闻与活动
     */
    public TbNews selectTbNewsById(Long id);

    /**
     * 查询新闻与活动列表
     * 
     * @param tbNews 新闻与活动
     * @return 新闻与活动集合
     */
    public List<TbNews> selectTbNewsList(TbNews tbNews);

    /**
     * 新增新闻与活动
     * 
     * @param tbNews 新闻与活动
     * @return 结果
     */
    public int insertTbNews(TbNews tbNews);

    /**
     * 修改新闻与活动
     * 
     * @param tbNews 新闻与活动
     * @return 结果
     */
    public int updateTbNews(TbNews tbNews);

    /**
     * 批量删除新闻与活动
     * 
     * @param ids 需要删除的新闻与活动主键集合
     * @return 结果
     */
    public int deleteTbNewsByIds(String ids);

    /**
     * 删除新闻与活动信息
     * 
     * @param id 新闻与活动主键
     * @return 结果
     */
    public int deleteTbNewsById(Long id);
}
